const express = require("express");
const router = express.Router();
const Transaction = require("../models/transaction");

router.get("/", function(req, res) {
  console.log("Get transaction start");
  Transaction.find({}, function(err, transactions) {
    if (err) {
      res.json({ result: false, message: "Not found transactions" });
      return;
    }
    res.json(transactions);
  });
});

router.post("/", function(req, res) {
  console.log("Post transaction start");
  var transaction = new Transaction();
  transaction.buyerId = req.body.buyerId;
  console.log(req.body.buyerId);
  transaction.sellerId = req.body.sellerId;
  console.log(req.body.sellerId);
  transaction.bookTitle = req.body.bookTitle;
  transaction.on_transaction = true;

  transaction.save(function(err) {
    if (err) {
      console.error(err);
      res.json({ result: 0 });
      return;
    }
    res.json({ result: 1 });
  });
});

module.exports = router;
